#ifndef ES_SEEK_H
#define ES_SEEK_H

extern unsigned char Voltage;
extern const char unsigned MinPeriod;
extern const char unsigned MaxPeriod;



/*****************************************************************************
 * Structure: BUTTONS _button_press
 *
 * Overview: the structure provides a n access to button bit indicators.
 *
 *****************************************************************************/
typedef struct tagES_Seek {
	volatile unsigned char FreqFW;
	volatile unsigned char FreqBW;
	
}ES_SEEK;
extern ES_SEEK _es_seek;


/*****************************************************************************
 * Function: ElectronicSeek_Init
 *
 * Preconditon: None.
 *
 * Overview:
 *
 * Input: None.
 *
 * Output: None.
 *
 *****************************************************************************/	
void ElectronicSeek_Init();

/*****************************************************************************
 * Function: ElectronicSeek_Statemachine
 *
 * Preconditon: None.
 *
 * Overview:
 *
 * Input: None.
 *
 * Output: None.
 *
 *****************************************************************************/	
void ElectronicSeek_Statemachine();


/*****************************************************************************
 * Function: ElectronicSeek
 *
 * Preconditon: None.
 *
 * Overview:
 *
 * Input: None.
 *
 * Output: None.
 *
 *****************************************************************************/	
void ElectronicSeek();

/*****************************************************************************
 * Function: ElectronicSeek_changeFreq
 *
 * Preconditon: None.
 *
 * Overview:
 *
 * Input: None.
 *
 * Output: None.
 *
 *****************************************************************************/	
void ElectronicSeek_changeFreq();

#endif
